MirPlatformCursor Class Referenceabstract

Cursor interface for Mir platform. More...

`#include <lomiri/shell/application/MirPlatformCursor.h>`

Inheritance diagram for MirPlatformCursor:
[legend]
Collaboration diagram for MirPlatformCursor:
[legend]

## Public Member Functions

virtual void | registerMousePointer (MirMousePointerInterface *mousePointer)=0
| Register a mouse pointer that this platform cursor will talk to.
virtual void | unregisterMousePointer (MirMousePointerInterface *mousePointer)=0
| Unregister a mouse pointer that this platform cursor will talk to.

## Detailed Description

Cursor interface for Mir platform.

FIXME: Get this out of lomiri-api

The documentation for this class was generated from the following file:

- include/lomiri/shell/application/MirPlatformCursor.h